%define module pyparsing

Summary:        A general parsing module for Python
Name:           python-pyparsing
Version:        1.5.5
Release:        %mkrel 2
Url:            http://pyparsing.wikispaces.com/
Source0:        http://downloads.sourceforge.net/project/pyparsing/pyparsing/%{module}-%{version}/%{module}-%{version}.tar.gz
License:        MIT
Group:          Development/Python

BuildRequires:  python-devel
BuildArch:      noarch

Provides:       pyparsing

%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

%package docs
Summary: A general parsing module for Python
Group: Development/Python

%description docs
This package includes the HTML documentataion and examples of %{module}.

%prep
%setup -q -n %{module}-%{version}

# fix encoding
for file in CHANGES \
  docs/examples/mozillaCalendarParser.py \
  docs/examples/holaMundo.py; do
   iconv -f=ISO-8859-1 -t=UTF8 -o $file.utf8 $file
   touch -r $file $file.utf8
   mv -f $file.utf8 $file
done

# fix end-of-line encoding
sed -i 's/\r//' README CHANGES LICENSE

for file in docs/examples/* docs/htmldoc/{epydoc.js,epydoc.css}; do
  sed -i 's/\r//' $file
done

%build
python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --skip-build --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README
%{python_sitelib}/*

%files docs
%defattr(-,root,root)
%doc docs/*


%changelog
* Fri May 13 2011 ahmad <ahmad> 1.5.5-2.mga1
+ Revision: 97796
- Add provides pyparsing

* Fri May 13 2011 ahmad <ahmad> 1.5.5-1.mga1
+ Revision: 97778
- imported package python-pyparsing

